Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.relateddomainext
Class EPPRelatedDomainExtInfData

    java.lang.Object
      com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtInfData

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRelatedDomainExtInfData

extends java.lang.Object
implements EPPCodecComponent

EPPCodecComponent that encodes and decodes a tag

Title: EPP 1.0 Related Domain - infData tag

Description: The EPPRelatedDomainExtInfData object represents the collection of domains in a family of related domains. As such it is composed of a collection of `EPPRelatedDomainExtGroup` objects.
As XML, it is represented by a element containing a number of elements.

Copyright: Copyright (c) 2013

Company: VeriSign

Version:
  1.0
Author:
  nchigurupati
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` Element tag name for the create

Constructor Summary
`EPPRelatedDomainExtInfData()` Default constructor

Method Summary
`void` | `addGroup(EPPRelatedDomainExtGroup aGroup)` Adds a domain represented by `EPPRelatedDomainExtGroup` to the list of groups.
`java.lang.Object` | `clone()` A deep clone of the EPPRelatedDomainExtInfData.
`void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Append all data from this infData to the given DOM Document
`boolean` | `equals(java.lang.Object aObj)`
`java.util.List<EPPRelatedDomainExtGroup>` | `getGroup()`
`void` | `setGroup(java.util.List<EPPRelatedDomainExtGroup> aGroup)`
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Element tag name for the create

  See Also:
    Constant Field Values

Constructor Detail

### EPPRelatedDomainExtInfData

    public EPPRelatedDomainExtInfData()

  Default constructor

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  A deep clone of the EPPRelatedDomainExtInfData.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception
  See Also:
    `Object.clone()`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Populate the data of this instance with the data stored in the given Element of the DOM tree

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - The root element of the report fragment of XML
  Throws:
    `EPPDecodeException` - Thrown if any errors occur during decoding.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Append all data from this infData to the given DOM Document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - The DOM Document to append data to
  Returns:
    Encoded DOM `Element`
  Throws:
    `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

### equals

    public boolean equals(java.lang.Object aObj)

  Overrides:
    `equals` in class `java.lang.Object`

### addGroup

    public void addGroup(EPPRelatedDomainExtGroup aGroup)

  Adds a domain represented by `EPPRelatedDomainExtGroup` to the list of groups.

  Parameters:
    `aGroup` - A group to add to the list.

### getGroup

    public java.util.List<EPPRelatedDomainExtGroup> getGroup()

  Returns:
    the group

### setGroup

    public void setGroup(java.util.List<EPPRelatedDomainExtGroup> aGroup)

  Parameters:
    `aGroup` -

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.